#{extends 'borderNG.html' /}
#{set 'titleHead'}
&{'lelang.informasi_tender'} ${lelang.namaPaket}
#{/set}

<ul class="breadcrumb" style="background-color: #25B396 !important;">
    <li><a href="@{BerandaCtr.index()}">&{'lelang.home'}</a></li>
    <li class="active">&{'lelang.informasi_tender'}</li>
</ul>

#{tabmenuLelangDp tahapStarted/}
<div class="content">
#{alert /}
    <table class="table table-condensed">
        <tr>
            <th width="25%" class="bg-warning">&{'lelang.kode_tender'}</th>
            <td><b>${lelang.lls_id} #{sesiInfo lelang.lls_sesi /}</b>
            #{if allow_report}<a href="@{admin.UtilityCtr.viewPDF(lelang.lls_id)}" class="badge pull-right">&{'lelang.summary_tender'}</a>#{/if}
            </td>
        </tr>
        <tr>
            <th class="bg-warning">&{'lelang.nama_tender'}</th>
            <td>
                <b>
                    ${lelang.namaPaket}
                    #{if lelang.isLelangUlang()}
                        <span class="label label-warning">&{lelang?.konsultansi ? 'lelang.selekasi' : 'lelang.tender'} &{'lelang.ulang'}</span>
                    #{/if}
                    #{if lelang.lls_status.ditutup}<span class="label label-info">&{'lelang.tender_dibatalkan'}</span>#{/if}
                    #{elseif lelang.isPenawaranUlang()}
                        <span class="label label-info">&{'lelang.pemasukan_ulang'}</span>
                    #{/elseif}
                    #{elseif lelang.isEvaluasiUlang()}
                        <span class="label label-info">&{'lelang.evaluasi_ulang'}</span>
                    #{/elseif}
                </b>
                #{if !(lelang.lls_status.isDraft())}
                	<a href="@{devpartner.LelangDpCtr.pengumumanLelang(lelang.lls_id)}" target="_blank"><span class="badge">&{'lelang.detil'}</span></a>
                #{/if}
                #{elseif lelang.isPenawaranUlang()}
                    <span class="label label-info">&{'lelang.pemasukan_ulang'}</span>
                #{/elseif}
                #{elseif lelang.isEvaluasiUlang()}
                    <span class="label label-info">&{'lelang.evaluasi_ulang'}</span>
                #{/elseif}
                </b>
            </td>
        </tr>
    #{if lelang.lls_status.ditutup}
        <tr>
            <th class="bg-warning">&{'lelang.alasan_pembatalan'}</th>
            <td>
                <strong>${lelang.lls_ditutup_karena}</strong>
            </td>
        </tr>
    #{/if}
    #{if lelang.isLelangUlang()}
        <tr>
            <th class="bg-warning">&{'lelang.alasan_diulang'}</th>
            <td>
                <strong>${lelang.lls_diulang_karena}</strong>
            </td>
        </tr>
    #{/if}
    <tr>
        <th class="bg-warning">&{'jadwal.tahap_saat_ini'}</th>
        <td><a href="@{devpartner.JadwalDpCtr.tahap(lelang.lls_id)}" target="_blank">${tahapNow?.raw()}</a>
        #{if allowEditJadwal }<a href="@{devpartner.JadwalDpCtr.editAktif(lelang.lls_id)}" class="badge"><i
                class="fa fa-edit"></i>&nbsp;Edit</a>#{/if}
        </td>
    </tr>
    #{if active_user.rekanan && peserta}
    <tr>
        <th class="bg-warning">&{'lelang.status'}</th>
        <td>
            #{statusPesertaLelang lelang, peserta: peserta /}
        </td>
    </tr>
    #{/if}
    #{if active_user.panitia}
        <tr>
            <th class="bg-warning">&{'lelang.jumlah_peserta'}</th>
            <td>${lelang?.jumlahPeserta} &{'lelang.peserta'}</td>
        </tr>
    #{/if}
    #{if showReoiSummary}
        <tr>
            <th class="bg-warning">${lelang.reoiSummaryLabel}</th>
            <td>
                #{dokLelangDp dok_reoi_summary, label:lelang.reoiSummaryLabel /}
                #{if allow_adendum_reoi_summary}
                    <div class="panel panel-info">
                        <div class="panel-heading">&{'lelang.adendum'}
                            <a class="dialog pull-right badge" href="@{devpartner.DokumenDpCtr.upload(dok_reoi_summary.dll_id),
                            models.devpartner.DokLelangDp.JenisDokLelang.DOKUMEN_REOI_SUMMARY.value}">&{'lelang.upload'}</a>
                        </div>
                    </div>
                #{/if}
            </td>
        </tr>
    #{/if}
    #{if showReoi}
        <tr>
            <th class="bg-warning">${lelang.reoiLabel}</th>
            <td>
                #{dokLelangDp dok_reoi, label:lelang.reoiLabel /}
                #{if allow_adendum_reoi}
                    <div class="panel panel-info">
                        <div class="panel-heading">&{'lelang.adendum'}
                            <a class="dialog pull-right badge" href="@{devpartner.DokumenDpCtr.upload(dok_reoi.dll_id),
                            models.devpartner.DokLelangDp.JenisDokLelang.DOKUMEN_REOI.value}">&{'lelang.upload'}</a>
                        </div>
                    </div>
                #{/if}
            </td>
            </td>
        </tr>
    #{/if}
    #{if showPrivateDoc}
        #{if showDokLelang}
            <tr>
                <th class="bg-warning">${lelang.dokLelangLabel}</th>
                <td>#{dokLelangDp dok_lelang, label:lelang.dokLelangLabel /}
                #{if allow_adendum}
                    <div class="panel panel-info">
                        <div class="panel-heading">&{'lelang.adendum'}
                        #{if allowUpload}
                            <a class="dialog pull-right badge" href="@{devpartner.DokumenDpCtr.upload(dok_lelang.dll_id,
                            models.devpartner.DokLelangDp.JenisDokLelang.DOKUMEN_LELANG.value)}">&{'lelang.upload'}</a>
                        #{/if}
                        </div>
                    </div>
                    <div class="bs-callout bs-callout-info">
                        <ol>
                            <li>&{'lelang.pilih_1'}</li>
                            <li>&{'lelang.pilih_2'}</li>
                            <li>&{'lelang.pilih_3'}</li>
                            <li>&{'lelang.pilih_4'}</li>
                            <li>&{'lelang.pilih_5'}</li>
                            <li>&{'lelang.pilih_6'}</li>
                        </ol>
                    </div>
                #{/if}
                </td>
            </tr>
        #{/if}
        <tr>
            <th class="bg-warning">&{'doc.tambahan'}</th>
            <td>#{dokLelangDp dok_tambahan, label:'doc.tambahan' /}
                #{if allow_upload_tambahan}
                    <div class="panel panel-info">
                        <div class="panel-heading">&{'lelang.adendum'}
                            <a class="dialog pull-right badge" href="@{devpartner.DokumenDpCtr.upload(dok_lelang.dll_id,
                            models.devpartner.DokLelangDp.JenisDokLelang.DOKUMEN_TAMBAHAN.value)}">&{'lelang.upload'}</a>
                        </div>
                    </div>
                #{/if}
            </td>
        </tr>
    #{/if}
    #{if active_user.panitia}
        <tr>
            <th class="bg-warning">&{'lelang.jumlah_penawaran'}</th>
            <td>${lelang?.jumlahPenawar} &{'lelang.penawaran'}</td>
        </tr>
    #{/if}
    #{if active_user.rekanan && peserta}
        #{if lelang.metode.enableJv}
            #{if lelang.preQualification}
            <tr>
                <td class="bg-warning">
                    &{'jv.pq.desc'}
                </td>
                <td>
                    #{devpartner.peserta.jv-pq lelang:lelang, tahapAktif:tahapAktif, peserta: peserta/}
                </td>
            </tr>
            #{/if}
            #{if !lelang.preQualification || peserta.shortlisted}
            <tr>
                <td class="bg-warning">
                    &{'jv.bid.desc1'}<br/><br/>&{'jv.bid.desc2'}<br/><br/>&{'jv.bid.desc3'}
                </td>
                <td>
                    #{devpartner.peserta.jv-bid lelang:lelang, tahapAktif:tahapAktif, peserta: peserta/}
                </td>
            </tr>
            #{/if}
        #{/if}
        #{if tahapLelang.uploadEoi}
             <tr>
                 <th class="bg-warning">${dokEoiLabel}</th>
                 <td>
                     #{kirimPenawaranDp lelang, jenis: models.devpartner.DokPenawaranDp.JenisDokPenawaran.PENAWARAN_EOI,
                            dok_penawaran: dokEoi, tahapPenawaran: tahapEoi, dokLabel: dokEoiLabel/}
                 </td>
             </tr>
        #{/if}
        #{if !lelang.preQualification || peserta.shortlisted}
		<tr>
			<th class="bg-warning">&{'lelang.penawaran_anda'}</th>
			<td>
                #{if lelang.metode.dokumen.satuFile}
                    #{kirimPenawaranDp lelang, jenis: models.devpartner.DokPenawaranDp.JenisDokPenawaran.PENAWARAN_TEKNIS_ADMINISTRASI_HARGA,
                            dok_penawaran: dokSatuFile, tahapPenawaran: tahapPenawaran, dokLabel: dokSatuFileLabel/}
                #{/if}
                #{else}
                    #{kirimPenawaranDp lelang, jenis: models.devpartner.DokPenawaranDp.JenisDokPenawaran.PENAWARAN_TEKNIS_ADMINISTRASI,
                            dok_penawaran: dokTeknis, tahapPenawaran: tahapPenawaran, dokLabel: dokTeknisLabel/}
                    #{kirimPenawaranDp lelang, jenis: models.devpartner.DokPenawaranDp.JenisDokPenawaran.PENAWARAN_HARGA,
                            dok_penawaran: dokHarga, tahapPenawaran: tahapPenawaran, dokLabel: dokHargaLabel/}
                #{/else}
            </td>
        </tr>
        #{/if}
    #{/if}
    *{#{if tahapStarted.evaluasi}}*
        *{<tr>}*
            *{<th class="bg-warning">&{'lelang.hasil_evaluasi'}</th>}*
            *{<td> #{informasiEvaluasi lelang, peserta:peserta, tahapStarted:tahapStarted /}</td>}*
        *{</tr>}*
    *{#{/if}}*
    <tr>
        <th class="bg-warning">&{'lelang.ba'}</th>
        <td>#{beritaAcaraDp lelang, tahapStarted:tahapStarted /}</td>
    </tr>

    *{#{if allow_pengumuman_pemenang}}*
        *{<tr>}*
            *{<th class="bg-warning">&{'lelang.pengumuman_pemenang'}</th>}*
            *{<td>#{if sudahKirimPengumuman} &{'lelang.pemenang_terkirim'}#{/if}}*
                *{#{else}<a href="@{lelang.UndanganCtr.undangan(lelang.lls_id)}" class="badge">&{'lelang.pengumuman_pemenang'}</a>#{/else}}*
            *{</td>}*
        *{</tr>}*
    *{#{/if}}*
        *{<tr>}*
            *{<th class="bg-warning">&{'lelang.ba_lainnya'}</th>}*
            *{<td>#{include 'lelang/berita_acara/baTambahan.html' /}</td>}*
        *{</tr>}*
    </table>
*{#{if active_user.panitia}}*
    *{#{if lelang.lls_status.ditutup}}*
        *{#{form @lelang.LelangCtr.ulang(lelang.lls_id), class:'form-inline'}}*
            *{<button type="submit" name="ulang" class="btn btn-danger" onClick="return confirm('&{'lelang.msg_ulang'}');" value="true">&{'lelang.mengulang_tender'}</button>}*
        *{#{/form}}*
    *{#{/if}}*
    *{#{elseif lelang.lls_status.aktif}}*
        *{<a href="@{lelang.LelangCtr.tutup(lelang.lls_id)}" class="btn btn-danger">&{'lelang.membatalkan_tender_mengulang'}</a>}*
    *{#{/elseif}}*
    *{#{if lelang.lls_status.aktif && allowEvaluasiUlangPra && !lelang.pemilihan.lelangExpress}}*
        *{<a href="@{lelang.EvaluasiCtr.ulang(lelang.lls_id)}" title="&{'lelang.msg_evaluasi_ulang_kualifikasi'}" class="btn btn-success confirm">&{'lelang.evaluasi_ulang_kualifikasi'}</a>}*
        *{<a href="@{lelang.LelangCtr.penawaranUlangPra(lelang.lls_id)}" title="&{'lelang.msg_penawaran_kualifikasi'}" class="btn btn-success confirm">&{'lelang.penawaran_kualifikasi'}</a>}*
    *{#{/if}}*
    *{#{if lelang.lls_status.aktif && allowEvaluasiUlang && !lelang.pemilihan.lelangExpress}}*
        *{<a href="@{lelang.EvaluasiCtr.ulang(lelang.lls_id)}" title="&{'lelang.msg_evaluasi_ulang_kualifikasi'}" class="btn btn-success confirm">&{'lelang.evaluasi_ulang'}</a>}*
        *{<a href="@{lelang.LelangCtr.penawaranUlang(lelang.lls_id)}" title="&{'lelang.msg_pemasukan_penawaran'}" class="btn btn-success confirm">&{'lelang.pemasukan_ulang'}</a>}*
    *{#{/if}}*
    *{#{if allowUpdate}}*
        *{<a href="@{lelang.LelangCtr.updateLelang(lelang.lls_id)}" class="btn btn-warning">&{'lelang.edit_tender'}</a>}*
    *{#{/if}}*
    *{#{if allowForensik && allow_pembukaan && !lelang.pemilihan.lelangExpress}}*
        *{<a href="@{lelang.LelangCtr.viewRhsPermission(lelang.lls_id)}" class="btn btn-primary">&{'lelang.forensik_penawaran_peserta'}</a>}*
    *{#{/if}}*
*{#{/if}}*
</div>

#{set 'custom_script'}
<script type="text/javascript" src="#{assets '/bootstrap/js/moment.min.js'/}"></script>
<script type="text/javascript" src="#{assets '/bootstrap/js/bootstrap-datetimepicker.min.js'/}"></script>
<script type="text/javascript" src="#{assets '/bootstrap/js/jquery.ui.widget.min.js'/}"></script>
<script type="text/javascript" src="#{assets '/bootstrap/js/jquery.iframe-transport.min.js'/}"></script>
<script type="text/javascript" src="#{assets '/bootstrap/js/jquery.fileupload.min.js'/}"></script>
<script type="text/javascript" src="#{assets '/bootstrap/js/jquery.fileupload-process.min.js'/}"></script>
<script type="text/javascript" src="#{assets '/bootstrap/js/jquery.fileupload-validate.js'/}"></script>
<script type="text/javascript">

    $('.btn.btn-default.disable').click(function (e) {
        e.preventDefault();
    });

        #{if active_user.panitia}

        $('.btn-ba').each(function() {
            var jenis = $(this).attr('value');
            var aksi = $(this).data('aksi');
            var formBa  = #{jsRoute @devpartner.BeritaAcaraDpCtr.formBa(':id', ':jenis') /};
            $(this).attr('href', formBa.url({id:${lelang.lls_id}, jenis:jenis, aksi:aksi}));
        });

        function isValidDate(dateString)
        {
            // Parse the date parts to integers
            var parts = dateString.split(" ")[0].split("-");
            var day = parseInt(parts[0], 10);
            var month = parseInt(parts[1], 10);
            var year = parseInt(parts[2], 10);

            // Check the ranges of month and year
            if(year < 1000 || year > 3000 || month == 0 || month > 12)
                return false;

            var monthLength = [ 31, 28, 31, 30, 31, 30, 31, 31, 30, 31, 30, 31 ];

            // Adjust for leap years
            if(year % 400 == 0 || (year % 100 != 0 && year % 4 == 0))
            monthLength[1] = 29;

            // Check the range of the day
            return day > 0 && day <= monthLength[month - 1];
        };

        #{/if}
</script>

#{get 'jvScript' /}

#{/set}

#{set 'css_custom' }
<link href="#{assets '/bootstrap/css/jquery.fileupload.css'/}" rel="stylesheet" type="text/css">
<link rel="stylesheet" href="#{assets '/bootstrap/css/bootstrap-datetimepicker.min.css'/}" type="text/css" media="screen"/>
#{/set}
